commit: bc1321cd56624ff65b074c2cd0b0c2ad5a6d57f4
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 3 00:34:52 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Apr 3 00:46:34 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc1321cd
dev-ruby/net-http-persistent: add 4.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-ruby/net-http-persistent/Manifest | 1 +
.../net-http-persistent-4.0.2.ebuild | 33 ++++++++++++++++++++++
2 files changed, 34 insertions(+)
diff --git a/dev-ruby/net-http-persistent/Manifest
b/dev-ruby/net-http-persistent/Manifest
index 6cef2d4de01a..300e4ecc8fb7 100644
--- a/dev-ruby/net-http-persistent/Manifest
+++ b/dev-ruby/net-http-persistent/Manifest
@@ -1,2 +1,3 @@
DIST net-http-persistent-3.1.0.gem 31744 BLAKE2B
fdd9c36ab5216c1cd1fe358207a689276e109845ac374ea16011469b6cb2b165115e78e701cce98c280e7f878c23d8016e75cac4508c7e579209012671b64101
SHA512
65b5afc4ad0729ec14b642e0e36363cecfff3dc25b26308d632866e93fed3eccfb83ce85da78f631553c6a1fe3ee834fcbc9d3681c85db6387463abbc30e60fa
DIST net-http-persistent-4.0.1.gem 27136 BLAKE2B
b88151498c401cc20983c86859d7ef7ae3688ee12a5fcc69544d9716c3aeed55f4339d35ec08e9c0a6a16b4b4ab807d7155425c3056b9634185c255472ad93c5
SHA512
d3c86c9c58affac8cde1513dd899527406c0baafd3a620b80011e3babf51a4bfd6fb2bd8998fd9c4696d49aad2d014bdf666b9626e06fe4413cb4010f94e5e91
+DIST net-http-persistent-4.0.2.tar.gz 23779 BLAKE2B
7ea0140ed9baf97f05f13816ddd836cc874a1861a0ca4d84d98fd8d5665163e96d74c6eef602088a12577addda8fad5c2194c7f679c59917255979c5618c1c8d
SHA512
4ef028245092a15f5e017ed6f2723cb82a2ed1fdbcb55217e5807068a40601151c29f929c95ffb5bdaae12fe34dca6658e674e282be42e7b0909c0ff2ea984fd
diff --git a/dev-ruby/net-http-persistent/net-http-persistent-4.0.2.ebuild
b/dev-ruby/net-http-persistent/net-http-persistent-4.0.2.ebuild
new file mode 100644
index 000000000000..f9324771a495
--- /dev/null
+++ b/dev-ruby/net-http-persistent/net-http-persistent-4.0.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby27 ruby30 ruby31 ruby32"
+
+RUBY_FAKEGEM_EXTRADOC="History.txt README.rdoc"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Manages persistent connections using Net::HTTP plus a speed fix
for Ruby 1.8"
+HOMEPAGE="https://github.com/drbrain/net-http-persistent"
+SRC_URI="https://github.com/drbrain/net-http-persistent/archive/refs/tags/v${PV}.tar.gz
-> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos
~x86-solaris"
+IUSE="doc test"
+
+ruby_add_rdepend ">=dev-ruby/connection_pool-2.2:0"
+
+ruby_add_bdepend "test? ( dev-ruby/minitest )"
+
+all_ruby_prepare() {
+ # Not relevant for us (we're just using rake for the tests)
+ sed -i -e '/require "rake\/manifest"/,/^end/ s:^:#:' Rakefile || die
+
+ # avoid test with implicit dependency on net-http-pipeline which
+ # fails and is not tested upstream
+ sed -i -e '/net-http-pipeline not installed/ s/unless.*$//'
test/test_net_http_persistent.rb || die
+}